000021327 - Error from webagent config page with WebLogic server

Document created by RSA Customer Support Employee on Jun 16, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000021327
Applies ToRSA ClearTrust 5.5
BEA WebLogic 7.0 SP2
RSA ClearTrust Agent 3.5 for BEA WebLogic 7.0
IssueError from webagent config page with WebLogic server
When logon to the agentconfig page, gets the following error:

<Error> <HTTP> <101017> <[ServletContext(id=8249557,name=agentconfig,context-path=/agentconfig)]

Root cause of ServletException

java.lang.NoClassDefFoundError: sirrus/api/client/APIException

at jsp_servlet.__ctagent_login._jspService

(__ctagent_login.java:119)

at weblogic.servlet.jsp.JspBase.service(JspBase.java:27)

at weblogic.servlet.internal.ServletStubImpl$ServletInvocationAction.run(ServletStubImpl.java:1058)

at weblogic.servlet.internal.ServletStubImpl.invokeServlet(ServletStubImpl.java:401)

at weblogic.servlet.internal.ServletStubImpl.invokeServlet(ServletStubImpl.java:445)

at weblogic.servlet.internal.ServletStubImpl.invokeServlet(ServletStubImpl.java:306)

at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:5445)

at weblogic.security.service.SecurityServiceManager.runAs(SecurityServiceManager.java:780)

at weblogic.servlet.internal.WebAppServletContext.invokeServlet(WebAppServletContext.java:3105)

at weblogic.servlet.internal.ServletRequestImpl.execute(ServletRequestImpl.java:2588)

at weblogic.kernel.ExecuteThread.execute(ExecuteThread.java:213)

at weblogic.kernel.ExecuteThread.run(ExecuteThread.java:189)

>
CauseThe rsawl7agent.jar needs to be added in the CLASSPATH
ResolutionTo correct this issue, check and add the CLASSPATH and the PATH:

CLASSPATH=/source/wl70agent/lib/rsawl7agent.jar:/source/weblogic700/server/lib/weblogic.jar

PATH=.:/source/weblogic700/server/bin:/source/jdk131_08/jre/bin
NotesAlthough the RSA ClearTrust Agent 3.5 guide mentions that the Agent is only supported on WebLogic 7.0 SP3 and SP4, since we don't have another agent for WebLogic 7.0 SP2, it should be also supported for SP2. However, we usually recommend customer to install the latest patch SP4 from BEA.
Legacy Article IDa20137

Attachments

    Outcomes